/*
 * @copyright		© Copyright 2006-2012, epages GmbH, All Rights Reserved.
 *
 * @module			de_epages.design.inc.editorInitSelect
 *
 * @revision		$Revision: 1.1.2.1 $
 */

jQuery.plugin('de_epages.design.inc.editorInitSelect', {
  plugin : ['ep.ui.editor'],
}, function ($) {

  $.extend($.scope("de_epages.design.inc"), {
    initEditorSelect : function(options){
    	var o = $.extend({
    			// defaults
    			valuePrefix: ""
				}, options),

	    	init = function(){
	    		if(o.select){
						o.select
							.on('change', function(){
								jq(window).trigger('resize');
								ep(document.getElementById(o.valuePrefix + $(this).val())).trigger('show');
							})
							.trigger('change');
					}
	    	};

	    init();
    }
  });
});