/*
	look at EPG-17437:
	This plugin was created to add a special CSS class
	for CKEditor tables because the default frame border
	of tables in the Storefront is null and overwrites the
	desired value of CKEditor tables.
*/

(function()
{
	CKEDITOR.plugins.add( 'eptableclass',
	{
		requires : [ 'table' ],

		init: function( editor ){
			CKEDITOR.on( 'dialogDefinition', function( ev ) {
				var dialogName = ev.data.name,
					dialogDefinition = ev.data.definition;

				if ( dialogName == 'table' )
				{
					var addCssClass = dialogDefinition.getContents('advanced').get('advCSSClasses');
					if ( !addCssClass['default'] )
					{
						addCssClass['default'] = 'cke-table';
					}
				}
			});
		}

	});
}())